<template>
    <AppDashboard />
    <div class="sm:ml-64">
        <h1 class="flex items-center text-5xl font-extrabold dark:text-white">checklists<span class="bg-orange-100 text-orange-800 text-2xl font-semibold me-2 px-2.5 py-0.5 rounded-lg dark:bg-orange-200 dark:text-orange-800 ms-2">lite</span></h1>
    
        <div class="mockup-code mt-10">
            <pre data-prefix="$"><code>{{ lines[0].value }}</code></pre>
            <pre data-prefix=">" class="text-warning"><code>{{ lines[1].value }}</code></pre>
            <pre data-prefix=">" class="text-success"><code>{{ lines[2].value }}</code></pre>
            <pre data-prefix="!" class="text-red-500"><code>{{ lines[3].value }}</code></pre>
        </div>
    
    </div>
</template>

<script setup>
    import { ref, onMounted } from 'vue'

    const texts = [
        'check document',
        'checking document...',
        'checking done!',
        'document is invalid!',
    ]

    const lines = [
        ref(''), 
        ref(''), 
        ref(''),
        ref(''),
    ]

    const clearLines = () => {
        lines.forEach(line => line.value = '')
    }

    clearLines()

    const typingEffect = (element, text, delay, callback) => {
        let i = 0
        const interval = setInterval(() => {
        element.value += text.charAt(i)
        i++
        if (i === text.length) {
            clearInterval(interval)
            if (callback) callback()
        }
        }, delay)
    }

    const startTypingEffect = () => {
        clearLines()

        const animateLine = (index) => {
            if (index < lines.length) {
            typingEffect(lines[index], texts[index], 150, () => {
                animateLine(index + 1)
            })
            } else {
            // Delay before restarting the animation
            setTimeout(() => {
                startTypingEffect()
            }, 4000)  // Adjust the delay as needed
            }
        }

        animateLine(0)
        }


    onMounted(() => {
        startTypingEffect()
    })
</script>
